Bug 765258 - (GLUSTER-3526) in nfs, socket write failures not handled properly.
in nfs, socket write failures not handled properly.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.2.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Krishna Srinivas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 01:20 EDT by Amar Tumballi
Modified: 2013-12-18 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.2.5qa6
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-09-08 01:20:41 EDT
Noticed that in nfs (as of release-3.2 branch, please validate this with master), if while sending a buffer if there is a error from socket, the buffer is never removed from queue, and hence will be in a loop trying to send it.
Comment 1 Anand Avati 2011-10-10 04:03:19 EDT
CHANGE: http://review.gluster.com/400 (Change-Id: If8ba73ac57bc235a28c1e1cdc7a5e11947e7a52f) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.